org.apache.sysds.hops.codegen.cplan

## Class CNodeNary

- java.lang.Object
- - org.apache.sysds.hops.codegen.cplan.CNode
  - - org.apache.sysds.hops.codegen.cplan.CNodeNary

    public class CNodeNary
    extends CNode

### Nested Class Summary

Nested Classes
`static class` `CNodeNary.NaryType`

### Constructor Summary

Constructors
Constructor and Description
`CNodeNary(CNode[] inputs, CNodeNary.NaryType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `codegen(boolean sparse, SpoofCompiler.GeneratorAPI api)`
`boolean` `equals(Object o)`
`CNodeNary.NaryType` `getType()`
`int` `hashCode()`
`boolean` `isSupported(SpoofCompiler.GeneratorAPI api)`
`void` `setOutputDims()`
`String` `toString()`

### Methods inherited from class org.apache.sysds.hops.codegen.cplan.CNode

`createVarname, getClassname, getDataType, getID, getInput, getNumCols, getNumRows, getOutput, getVarname, getVarname, getVectorLength, isGenerated, isLiteral, isVisited, resetGenerated, resetHash, resetVisitStatus, setDataType, setLiteral, setNumCols, setNumRows, setOutput, setVarName, setVisited, setVisited`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CNodeNary

    public CNodeNary(CNode[] inputs,
                     CNodeNary.NaryType type)

### Method Detail

#### getType

    public CNodeNary.NaryType getType()

#### codegen

    public String codegen(boolean sparse,
                          SpoofCompiler.GeneratorAPI api)

Specified by:
  `codegen` in class `CNode`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### setOutputDims

    public void setOutputDims()

Specified by:
  `setOutputDims` in class `CNode`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `CNode`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `CNode`

#### isSupported

    public boolean isSupported(SpoofCompiler.GeneratorAPI api)

Specified by:
  `isSupported` in class `CNode`